Bug 1327 - [UPDATE REQUEST] postfix
: [UPDATE REQUEST] postfix
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
https://abf.rosalinux.ru/import/postf...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-24 19:16 MSK by Konstantin Vlasov
Modified: 2013-01-15 13:33 MSK (History)
3 users (show)

See Also:
RPM Package: postfix
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Vlasov 2012-12-24 19:16:54 MSK
Postfix was updated to fix the bug #903.
Comment 1 Konstantin Vlasov 2012-12-24 19:17:13 MSK
https://abf.rosalinux.ru/build_lists/858282
https://abf.rosalinux.ru/build_lists/858283

Advisory: Replaced config file hardlinks with copies in chroot to allow live installation with separate /var partition.
Comment 2 Vladimir Potapov 2013-01-09 05:56:43 MSK
How to check this change?
Comment 3 Konstantin Vlasov 2013-01-10 15:59:13 MSK
I. Make sure the problem exists in previous version:
==============
1. Check if postfix chroot exists:
# ls -la /var/spool/postfix/etc

2. If it does not, create one:
# postfix-chroot.sh enable

3. Check that it contains hard links:
# find /var/spool/postfix/etc/ -type f -a -links +1
/var/spool/postfix/etc/localtime
/var/spool/postfix/etc/host.conf
/var/spool/postfix/etc/nsswitch.conf
/var/spool/postfix/etc/hosts
/var/spool/postfix/etc/services


II. Check the fix:
==============
1. Update the postfix package from the container.

2. The chroot should be updated, check that it now contains file copies instead of hard links:
# find /var/spool/postfix/etc/ -type f -a -links +1
# ls -l /var/spool/postfix/etc/
total 36
-rw-r--r-- 2 root root    26 Sep  9 07:43 host.conf
-rw-r--r-- 2 root root   138 Dec 10 17:46 hosts
-rw-r--r-- 2 root root  1464 Dec  7 21:44 localtime
-rw-r--r-- 2 root root  1301 Dec 10 17:46 nsswitch.conf
lrwxrwxrwx 1 root root    27 Jan 10 13:58 resolv.conf -> /run/resolvconf/resolv.conf
-rw-r--r-- 2 root root 19281 Sep  9 07:46 services
Comment 4 Konstantin Vlasov 2013-01-10 16:05:04 MSK
PS: Sorry, copied the output from the wrong machine. In the last command (ls -l /var/spool/postfix/etc/) the output listing should have all 1's in the second column, not 2's (one more indicator that there are no hard links).
Comment 5 Vladimir Potapov 2013-01-14 14:52:05 MSK
postfix-2.9.4-2-rosa2012.1
******************** Advisory ********************
 Replaced config file hardlinks with copies in chroot to allow live installation with separate /var partition
**************************************************
QA Verified
Comment 6 Postnikov Dmitry 2013-01-15 13:33:35 MSK
I don't use postfix, but in the process of updating postfix system issued warning messages. Is this normal?
================
    81/85: mozilla-thunderbird   #################################################################################################################
    82/85: postfix               #################################################################################################################
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=no
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=no
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=no
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=no
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=no
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=no
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=no
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=no
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=no
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=no
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=no
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=no
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=no
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=no
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=no
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=no
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=no
postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=no
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=no
Redirecting to /bin/systemctl condrestart rsyslog.service
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=no
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=no
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=no
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=no
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=yes
/usr/sbin/postconf: warning: /etc/postfix/master.cf: unused parameter: lmtp_cache_connection=no
    83/85: rosa-elementary-theme #################################################################################################################
    84/85
================